Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class TModelInstanceDetails

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.TModelInstanceDetails

    public class TModelInstanceDetails

extends Object

TModelInstanceDetails contains list of TModelInfos.

Constructor Summary
`TModelInstanceDetails()` Class Constructor

Method Summary
`void` | `addTModelInstanceInfo(TModelInstanceInfo value)` Adds a new tModelInstanceInfo to the set of tModelInstanceInfos.
`Vector` | `getTModelInstanceInfoVector()` Gets the set of tModelInstanceInfos.
`void` | `setTModelInstanceInfoVector(Vector value)` Sets the set containing tModelInstanceInfo.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModelInstanceDetails

    public TModelInstanceDetails()

  Class Constructor

Method Detail

### addTModelInstanceInfo

    public void addTModelInstanceInfo(TModelInstanceInfo value)

  Adds a new tModelInstanceInfo to the set of tModelInstanceInfos.

  Parameters:
    `value` - the new tModelInstanceInfo.

### setTModelInstanceInfoVector

    public void setTModelInstanceInfoVector(Vector value)

  Sets the set containing tModelInstanceInfo.

  Parameters:
    `value` - the new set of tModelInstanceInfos.

### getTModelInstanceInfoVector

    public Vector getTModelInstanceInfoVector()

  Gets the set of tModelInstanceInfos.

  Returns:
    the current set of tModelInstanceInfos.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD